slach

помогите с JS?

JS это просто какой то хтонический АД =)

есть package.json

    "dependencies": {
       "plugin-typescript": "^8.0.0",
       "typescript": "^3.9.5"
   }

перестали резолвится dependencies (видимо зря сделал npm install -g npm)

npm install 

показывает

npm ERR! code ERESOLVE
npm ERR! ERESOLVE unable to resolve dependency tree
npm ERR! While resolving: vertamedia-clickhouse@2.2.3
npm ERR! Found: typescript@3.9.9
npm ERR! node_modules/typescript
npm ERR!   dev typescript@"^3.9.5" from the root project
npm ERR! Could not resolve dependency:
npm ERR! peer typescript@"^2.4.0" from plugin-typescript@8.0.0
npm ERR! node_modules/plugin-typescript
npm ERR!   dev plugin-typescript@"^8.0.0" from the root project

при этом 

npm info plugin-typescript

показывает вот такое

plugin-typescript@8.0.0 | MIT | deps: none | versions: 48


откуда взялся этот дурацкий typescript^2.4.0

если в пакете plugin-typescript нет НИ ОДНОЙ зависимости?

Error

default userpic

Your reply will be screened

Your IP address will be recorded 

When you submit the form an invisible reCAPTCHA check will be performed.
You must follow the Privacy Policy and Google Terms of use.